Bug 989392 - [RFE] Add ability to granularly specify 'watched' fields
[RFE] Add ability to granularly specify 'watched' fields
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Email Notifications (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 04:09 EDT by Petr Spacek
Modified: 2014-01-23 01:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 01:21:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Spacek 2013-07-29 04:09:05 EDT
Hello,

I would like to be able to specify that I don't care about changes in some fiels, e.g. docs* (flags, docs contact etc.) QA* (whiteboard, contact, flags qa_*) etc.

As a second step, it would be nice if the rules can be specific for group of components (e.g. send all changes for components freeipa and bind-dyndb-ldap, but send only comments for other components), but this is even basic filtering list would be beneficial.

I understand that this can be achieved with filters in e-mail client, but IMHO it is much better solution to not send unwanted e-mails at all.

Thank you.
Comment 1 Simon Green 2013-07-31 23:06:25 EDT
Jason: Can I have your thoughts on this?

IMO, the current options we provide for who receives what e-mail is sufficient. The features requested would make the e-mail preference screen too complicated. And as the reporter mentioned, the same can be achieved with filters anyway. I suggest CLOSED/WONTFIX.
Comment 2 Jason McDonald 2013-08-01 01:02:31 EDT
I too am usually interested in only a subset of fields (mainly those related to scheduling and progress).  However, I suspect that this suggestion would require a significant amount of new code to be written (both filtering logic and UI to set preferences) and subsequently maintained.

Based on the description above, I can't envisage a simple way to provide this functionality, though a more detailed statement of requirements would make the likely cost of implementation a lot clearer.

I would likely struggle to justify such an investment to my management without evidence of significant user demand and resulting significant benefit/cost-savings for RH projects.  Without such evidence, I would have to agree with Comment #1.

An alternative you may also wish to consider is to file this suggestion with the upstream Bugzilla project to guage interest within the broader Bugzilla community. If such a feature was provided by the upstream Bugzilla, I expect we would be happy enough to carry that into Red Hat Bugzilla also.
Comment 3 Petr Spacek 2013-08-01 03:34:23 EDT
Okay, it is fair to ask upstream for this feature.

I found https://bugzilla.mozilla.org/show_bug.cgi?id=278455 which mentions extension called ComponentWatching:
http://bzr.mozilla.org/bmo/4.2/files/head:/extensions/ComponentWatching/

This basically does what I want:
The extension allows you to configure set of components and adds a new column to 'Email Preferences' page for those components.

I.e., on one side, I'm able to receive broader set notifications for components I'm interested in, but on the other side, I'm able to configure very limited set of notification e-mails for other components.
Comment 4 Jason McDonald 2013-11-17 19:33:30 EST
Before we can consider including 3rd-party extensions, we would need to have:

1) evidence that this feature will perform well and will not significantly impact performance of other features.  I doubt that it would be possible to generate such evidence until after the current Bugzilla performance issues have been solved.

2) evidence that there is sufficient demand for the extension to justify the cost of operational maintenance.

3) evidence that the extension is actively maintained and does not have security issues that may cause leakage of any sensitive data contained in RH Bugzilla.

4) agreement from HSS management to fund that cost.
Comment 5 Jason McDonald 2014-01-23 01:21:22 EST
CLOSED/WONTFIX for now. Feel free to reopen if the above pre-requisites can be satisfied.

Note You need to log in before you can comment on or make changes to this bug.